classification
Title: PyDict_Copy() can leave 'ma_version_tag' uninitialized
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: inada.naoki, miss-islington, pdox, rhettinger
Priority: normal Keywords: patch

Created on 2018-04-01 08:56 by pdox, last changed 2018-04-03 03:37 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6341 merged inada.naoki, 2018-04-02 00:33
PR 6357 merged miss-islington, 2018-04-03 02:45
PR 6358 merged miss-islington, 2018-04-03 02:46
Messages (4)
msg314768 - (view) Author: (pdox) * Date: 2018-04-01 08:56
PyDict_Copy leaves 'ma_version_tag' uninitialized when the dictionary being copied has a split table.
msg314851 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2018-04-03 02:43
New changeset d1c82c5cc7be0c21dddf86fd19c1702f6218459b by INADA Naoki in branch 'master':
bpo-33199: Initialize ma_version_tag in PyDict_Copy (GH-6341)
https://github.com/python/cpython/commit/d1c82c5cc7be0c21dddf86fd19c1702f6218459b
msg314853 - (view) Author: miss-islington (miss-islington) Date: 2018-04-03 03:00
New changeset de755129a7a14cb3bee89aa256ca2e4a9a6605ce by Miss Islington (bot) in branch '3.7':
bpo-33199: Initialize ma_version_tag in PyDict_Copy (GH-6341)
https://github.com/python/cpython/commit/de755129a7a14cb3bee89aa256ca2e4a9a6605ce
msg314854 - (view) Author: miss-islington (miss-islington) Date: 2018-04-03 03:22
New changeset 9a90826c9b64183713ebe5a98ec82423d9cae3ee by Miss Islington (bot) in branch '3.6':
bpo-33199: Initialize ma_version_tag in PyDict_Copy (GH-6341)
https://github.com/python/cpython/commit/9a90826c9b64183713ebe5a98ec82423d9cae3ee
History
Date User Action Args
2018-04-03 03:37:15inada.naokisetresolution: fixed
2018-04-03 03:37:04inada.naokisetstatus: open -> closed
2018-04-03 03:36:47inada.naokisetstage: patch review -> resolved
2018-04-03 03:22:16miss-islingtonsetmessages: + msg314854
2018-04-03 03:00:28miss-islingtonsetnosy: + miss-islington
messages: + msg314853
2018-04-03 02:46:04miss-islingtonsetpull_requests: + pull_request6069
2018-04-03 02:45:12miss-islingtonsetpull_requests: + pull_request6068
2018-04-03 02:43:56inada.naokisetmessages: + msg314851
2018-04-02 00:33:39inada.naokisetkeywords: + patch
stage: patch review
pull_requests: + pull_request6052
2018-04-02 00:27:32inada.naokisetversions: - Python 3.4, Python 3.5
2018-04-01 22:03:33pitrousetnosy: + rhettinger, inada.naoki
2018-04-01 08:56:59pdoxcreate